public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/miniupnpd/
Date: Wed, 11 Apr 2018 07:03:07 +0000 (UTC)	[thread overview]
Message-ID: <1523430096.74859bee8af53b1fc6cba8bc3a434cf79e305809.mgorny@gentoo> (raw)

commit:     74859bee8af53b1fc6cba8bc3a434cf79e305809
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 11 06:59:11 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 11 07:01:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74859bee

net-misc/miniupnpd: Version bump to 2.0.20180410

 net-misc/miniupnpd/Manifest                      |  1 +
 net-misc/miniupnpd/miniupnpd-2.0.20180410.ebuild | 62 ++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/net-misc/miniupnpd/Manifest b/net-misc/miniupnpd/Manifest
index 05c1f6c5168..c35776822ba 100644
--- a/net-misc/miniupnpd/Manifest
+++ b/net-misc/miniupnpd/Manifest
@@ -1,3 +1,4 @@
 DIST miniupnpd-2.0.20171212.tar.gz 222617 BLAKE2B 6ac33048b18d9f8aeb5103f57c9982fec956a61155f8592118c38dea70801597d9e867690ef2f1cdfaf848a25d7ddb4891b3ebf37cd391b33518d6b02e6f9b4a SHA512 3ab81c840953736c662bcb6f074421052a846c7827768acd7a961a23906b9e3d3389f5b593fb6f8011c8e717dae6cd3907b6d34e7904d560378671a7fc1dd3b2
 DIST miniupnpd-2.0.20180203.tar.gz 223084 BLAKE2B 14d7b1f8136be5e211ee2e5374b8ee77dfeb3e64e1308f918d9334a8600234e38581caa293b613cd3736d4a8cfc196a54839cffa8091a36961f4e0e79c727455 SHA512 ef02e33cd93225992c193a13be2320de02255610532de77cf704573384c777d82a4cb89c295982bb660ce056e38ef341223ab362bab74b2cb6954ed4e62b0219
 DIST miniupnpd-2.0.20180222.tar.gz 223697 BLAKE2B f551c9219a3a0a0eda905c953c5f9f45df3f192d3d253111cb35ce51351561ae2547351cb901b91eafc1765bd89b75760063e109bacfae625ff8090563913883 SHA512 a7ee306ccac0673e55780129b3c61de025ec63a653383ae475f08695a95647ae83e5e5978ce6ee166e8d0270a5bd08250613593acaabd0b730178ca2e52dc482
+DIST miniupnpd-2.0.20180410.tar.gz 224736 BLAKE2B 76bb4eba8cd3985ff46b1e46543018171a44cee636affb6db75c7b4bfcfa5ef19a678a23467280cf7d199b8fe332cfae6595848c4a2446da2095aecadb82d5f6 SHA512 4a3392b3883e72689e6160941b80533f7254dbaf54407fe2899caef8848d7dbe82ece6079fc39446c162053c1ea1dc10912af0a31d71eb16fbfbec0029dbc645

diff --git a/net-misc/miniupnpd/miniupnpd-2.0.20180410.ebuild b/net-misc/miniupnpd/miniupnpd-2.0.20180410.ebuild
new file mode 100644
index 00000000000..9f786c4d43a
--- /dev/null
+++ b/net-misc/miniupnpd/miniupnpd-2.0.20180410.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="MiniUPnP IGD Daemon"
+HOMEPAGE="http://miniupnp.free.fr/"
+SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+leasefile igd2 ipv6 pcp-peer portinuse strict"
+
+RDEPEND=">=net-firewall/iptables-1.4.6:0=[ipv6?]
+	net-libs/libnfnetlink:=
+	net-libs/libmnl:=
+	dev-libs/gmp:0=
+	sys-apps/util-linux
+	dev-libs/openssl:0="
+DEPEND="${RDEPEND}
+	sys-apps/lsb-release"
+
+src_prepare() {
+	default
+	mv Makefile.linux Makefile || die
+}
+
+src_configure() {
+	local -a opts
+	opts=(
+		--vendorcfg
+		$(usex igd2 '--igd2' '')
+		$(usex ipv6 '--ipv6' '')
+		$(usex leasefile '--leasefile' '')
+		$(usex portinuse '--portinuse' '')
+		$(usex pcp-peer '--pcp-peer' '')
+		$(usex strict '--strict' '')
+	)
+
+	emake CONFIG_OPTIONS="${opts[*]}" config.h
+}
+
+src_compile() {
+	# By default, it builds a bunch of unittests that are missing wrapper
+	# scripts in the tarball
+	emake CC="$(tc-getCC)" STRIP=true miniupnpd
+}
+
+src_install() {
+	emake PREFIX="${ED}" STRIP=true install
+
+	newinitd "${FILESDIR}"/${PN}-init.d-r1 ${PN}
+	newconfd "${FILESDIR}"/${PN}-conf.d-r1 ${PN}
+}
+
+pkg_postinst() {
+	elog "Please correct the external interface in the top of the two"
+	elog "scripts in /etc/miniupnpd and edit the config file in there too"
+}


             reply	other threads:[~2018-04-11  7:03 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-11  7:03 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-23  2:53 [gentoo-commits] repo/gentoo:master commit in: net-misc/miniupnpd/ Michał Górny
2024-03-20  6:28 Michał Górny
2024-03-20  6:28 Michał Górny
2024-03-02 19:47 Michał Górny
2024-01-04  4:35 Michał Górny
2024-01-04  4:35 Michał Górny
2023-01-20  4:50 Michał Górny
2022-10-22  6:22 Michał Górny
2022-10-22  6:22 Michał Górny
2022-10-18  7:26 Michał Górny
2022-07-18  0:26 Sam James
2022-05-16 23:06 Sam James
2022-02-18  2:44 Sam James
2022-01-23  9:33 Michał Górny
2021-12-23  8:14 Sam James
2021-08-22  8:01 Michał Górny
2021-05-14  8:14 Michał Górny
2020-12-21  9:29 Michał Górny
2020-12-21  9:29 Michał Górny
2020-11-01  7:20 Michał Górny
2020-10-31  8:33 Michał Górny
2020-10-10 18:21 Michał Górny
2020-09-29  2:14 Michał Górny
2020-09-18  9:38 Michał Górny
2020-05-14  6:26 Michał Górny
2020-05-04  9:37 Michał Górny
2020-04-02  7:32 Michał Górny
2020-04-02  7:32 Michał Górny
2019-12-29 20:51 Michał Górny
2019-10-07  8:05 Michał Górny
2019-09-25  5:53 Michał Górny
2019-09-08  6:43 Michał Górny
2019-09-02  2:53 Michał Górny
2019-08-28  5:36 Michał Górny
2019-07-01  7:56 Michał Górny
2019-06-26 15:47 Michał Górny
2019-05-24 21:55 Michał Górny
2019-05-03  7:15 Michał Górny
2019-04-10 15:07 Michał Górny
2019-04-08 19:17 Michał Górny
2019-04-05  5:23 Michał Górny
2019-03-10  8:08 Michał Górny
2019-02-13 14:28 Michał Górny
2019-02-13 14:28 Michał Górny
2018-09-06 21:22 Michał Górny
2018-07-07  5:31 Michał Górny
2018-07-07  5:31 Michał Górny
2018-05-05 15:27 Michał Górny
2018-05-05 15:27 Michał Górny
2018-04-23 13:44 Michał Górny
2018-03-13 11:59 Pacho Ramos
2018-02-25 20:04 Michał Górny
2018-02-04  8:44 Michał Górny
2018-01-02  6:19 Michał Górny
2017-12-13  7:56 Michał Górny
2017-12-13  7:56 Michał Górny
2017-11-26 23:23 David Seifert
2017-01-26 20:14 Michał Górny
2016-05-24  7:58 Michał Górny
2016-04-20 18:52 Patrick McLean
2016-04-13  1:12 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1523430096.74859bee8af53b1fc6cba8bc3a434cf79e305809.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox